<?php

namespace App\Controllers;

use App\Models\HotelModel;

class Hotel extends BaseController
{
    public function index()
    {
        $model = new HotelModel();
        $data['hotels'] = $model->findAll();
        return view('hotels/list', $data);
    }

    public function create()
    {
        return view('hotels/create');
    }

    public function store()
    {
        $model = new HotelModel();
        $data = $this->request->getPost();
        $model->save($data);
        return redirect()->to('/hotels');
    }
}