<?= $this->extend('layout/main') ?>

<?= $this->section('title') ?>Add New Hotel<?= $this->endSection() ?>

<?= $this->section('content') ?>
    <h1>Add New Hotel</h1>
    <form action="/hotels/store" method="post">
        <label for="name">
            Name:
            <input type="text" name="name" required>
        </label>
        <label for="description">
            Description:
            <textarea name="description" required></textarea>
        </label>
        <label for="address">
            Address:
            <input type="text" name="address" required>
        </label>
        <label for="rating">
            Rating:
            <input type="number" name="rating" min="1" max="5" required>
        </label>
        <button type="submit">Add Hotel</button>
    </form>
<?= $this->endSection() ?>