<?php if (!empty($messages)): ?>
    <?php foreach ($messages as $message): ?>
        <div class="card mb-3">
            <div class="card-header">
                <strong><?= esc($message['username']) ?></strong>
                <small class="text-muted float-right"><?= date('Y-m-d H:i', strtotime($message['created_at'])) ?></small>
            </div>
            <div class="card-body">
                <p><?= nl2br(esc($message['message'])) ?></p>
                <?php if (!empty($message['attachment'])): ?>
                    <p><a href="<?= base_url('uploads/' . $message['attachment']) ?>" target="_blank">View Attachment</a></p>
                <?php endif; ?>
            </div>
        </div>
    <?php endforeach; ?>
<?php else: ?>
    <p>No messages yet.</p>
<?php endif; ?>