<?= $this->extend('layout/dashboard') ?>

<?= $this->section('content') ?>
<div class="card">
    <div class="card-header">
        <h3 class="card-title">RTQ Management</h3>
    </div>
    <div class="card-body">
        <table class="table table-bordered table-striped">
            <thead>
                <tr>
                    <th>RTQ ID</th>
                    <th>Request ID</th>
                    <th>Status</th>
                    <th>Created At</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($rtqs as $rtq): ?>
                <tr>
                    <td><?= $rtq['id'] ?></td>
                    <td><?= $rtq['request_unique_id'] ?></td>
                    <td><?= $rtq['status'] ?></td>
                    <td><?= $rtq['created_at'] ?></td>
                    <td>
                        <a href="<?= base_url('rtq/view/' . $rtq['id']) ?>" class="btn btn-primary btn-sm">View</a>
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
</div>
<?= $this->endSection() ?>